Bug 1492114 - Content view version's Errata tab is absent if version contains only RH repos
Summary: Content view version's Errata tab is absent if version contains only RH repos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Patrik Segedy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-15 13:40 UTC by Andrii Balakhtar
Modified: 2019-04-01 20:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
errata tab is missing in cvv (168.77 KB, image/png)
2017-09-18 07:17 UTC, Andrii Balakhtar
no flags Details
errata is present in cvv (displayed by adding `/errata` to URL) (428.37 KB, image/png)
2017-09-18 07:18 UTC, Andrii Balakhtar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21274 0 Normal Closed Content view version's Errata tab is absent if version contains only RH repos 2020-06-11 14:29:14 UTC

Description Andrii Balakhtar 2017-09-15 13:40:19 UTC
Description of problem:
For 6.3 packages and errata tabs of content view version are shown only in case corresponding content is present inside the version. However, seems like errata check only counts custom repos errata and ignores RH repos, so in case you have content view version with RH repos (with errata inside) only, you won't be able to navigate to Errata tab.
Worth mentioning that it's only tab displaying issue - if you try to navigate to errata list by specifying corresponding URL in browser, errata table will be shown with no issues.

Version-Release number of selected component (if applicable):
Satellite 6.3.0 Snap 13

How reproducible:
Always

Steps to Reproduce:
1. Enable some RH repo, for example Satellite tools, and synchronize it
2. Create new content view, add mentioned RH repo in it
3. Publish a new version of content view.
4. Attempt to open version's errata list, goto Content -> Content views -> #content_view# -> Versions -> Version 1.0 -> Errata

Actual results:
Errata tab is not present,  it's not possible to manage content view version's errata.


Expected results:
Errata tab is present

Additional info:

Comment 5 Andrii Balakhtar 2017-09-18 07:17:17 UTC
Created attachment 1327234 [details]
errata tab is missing in cvv

Comment 6 Andrii Balakhtar 2017-09-18 07:18:07 UTC
Created attachment 1327235 [details]
errata is present in cvv (displayed by adding `/errata` to URL)

Comment 7 Brad Buckingham 2017-10-10 12:11:51 UTC
Created redmine issue http://projects.theforeman.org/issues/21274 from this bug

Comment 8 Satellite Program 2017-10-25 00:01:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21274 has been resolved.

Comment 9 Patrik Segedy 2017-12-19 15:27:42 UTC
Verified on Satellite 6.3.0 snap 29 using steps from reproducer
1. Enable Satellite tools repo and synchronize it
2. Create content view, add Satellite tools to CV
3. Publish the content view
4. Open errata list in Content -> Content views -> #content_view# -> Versions -> Version 1.0 -> Errata

VERIFIED

Comment 10 Satellite Program 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.